<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: eXtreme_atwork_admin.php
| Author: eXtreme-fusion crew & zezol
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."eXtreme_atwork_panel/infusion_db.php";
add_to_head("<script type='text/javascript' src='".INFUSIONS."eXtreme_atwork_panel/js/boxover.js'></script>");
add_to_head("<script type='text/javascript'>
var INFUSIONS = '".INFUSIONS."'; 
</script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."eXtreme_atwork_panel/js/jquery.progressbar.js'></script>");

if (file_exists(INFUSIONS."eXtreme_atwork_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."eXtreme_atwork_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."eXtreme_atwork_panel/locale/Polish.php";
}
require_once INCLUDES."html_buttons_include.php";
require_once INFUSIONS."eXtreme_atwork_panel/ustawienia.php";

add_to_head("<script type='text/javascript' language='JavaScript'> 
$(document).ready(function() {
	var enabled_keys = [48,49,50,51,52,53,54,55,56,57,8,9,0];
	
	$('input[name=\'work_procenty\']').keypress(function(v) {
		if(jQuery.inArray(v.which, enabled_keys) != -1) {
			return true;
		} else {	
			return false;
		}
	});
});
</script>");

if (!checkrights("PROJ")) redirect("../index.php");

if (isset($_GET['work_id']) && !isnum($_GET['work_id'])) { redirect(FUSION_SELF."?kom=blad"); }

$kom = "";
if (isset($_GET['kom'])) {
	if($_GET['kom'] == "blad") {
		$kom .= $locale['atw001'];
	} elseif($_GET['kom'] == "dodane") {
		$kom .= $locale['atw002'];
	} elseif($_GET['kom'] == "usun") {
		$kom .= $locale['atw003'];
	} elseif($_GET['kom'] == "edycja") {
		$kom .= $locale['atw004'];
	} elseif($_GET['kom'] == "puste") {
		$kom .= $locale['atw005'];
	} elseif($_GET['kom'] == "proc") {
		$kom .= $locale['atw006'];
	} elseif($_GET['kom'] == "procz") {
		$kom .= $locale['atw007'];
	}
}
if ($kom != "") {
	echo "<div class='admin-message'>".$kom."</div>";
}

if (isset($_GET['step']) && $_GET['step'] == "delete") {
	$result = dbquery("DELETE FROM ".DB_ATWORK." WHERE atwork_id='".$_GET['work_id']."'");
	redirect(FUSION_SELF."?kom=usun");
} else {
	if (isset($_POST['save_cat'])) {
		if ($_POST['work_nazwa'] == "" || $_POST['work_procenty'] == "") {
			redirect(FUSION_SELF."?kom=puste");
		}
		if (!isnum($_POST['work_procenty'])) {
			redirect(FUSION_SELF."?kom=proc");
		}
		if ($_POST['work_procenty'] > 100 || $_POST['work_procenty'] < 0) {
			redirect(FUSION_SELF."?kom=procz");
		}
		$work_nazwa = stripinput($_POST['work_nazwa']);
		$work_wersja = stripinput($_POST['work_wersja']);
		$work_opis = stripinput($_POST['work_opis']);
		$work_admin = stripinput($_POST['work_admin']);
		$work_procenty = $_POST['work_procenty'];
		$work_data = stripinput($_POST['work_data']);
		if (isset($_GET['step']) && $_GET['step'] == "edit") {
			$result = dbquery("UPDATE ".DB_ATWORK." SET atwork_nazwa='$work_nazwa', atwork_wersja='$work_wersja', atwork_opis='$work_opis', atwork_admin='$work_admin', atwork_procenty='$work_procenty', atwork_data='$work_data' WHERE atwork_id='".$_GET['work_id']."'");
			redirect(FUSION_SELF."?kom=edycja");
		} else {
			$result = dbquery("INSERT INTO ".DB_ATWORK." (atwork_nazwa, atwork_wersja, atwork_opis, atwork_admin, atwork_procenty, atwork_data) VALUES('$work_nazwa', '$work_wersja', '$work_opis', '$work_admin', '$work_procenty', '$work_data')");
			redirect(FUSION_SELF."?kom=dodane");
		}
		redirect("eXtreme_atwork_admin.php");
	}
	if (isset($_GET['step']) && $_GET['step'] == "edit" && isset($_GET['work_id'])) {
		$tytul = $locale['atw107'];
		$result = dbquery("SELECT * FROM ".DB_ATWORK." WHERE atwork_id='".$_GET['work_id']."'");
		$data = dbarray($result);
		$work_nazwa = $data['atwork_nazwa'];
		$work_wersja = $data['atwork_wersja'];
		$work_opis = $data['atwork_opis'];
		$work_admin = $data['atwork_admin'];
		$work_procenty = $data['atwork_procenty'];
		$work_data = showdate("%d.%m.%Y", time());
		$formaction = FUSION_SELF."?step=edit&amp;work_id=".$data['atwork_id'];
	} else {
		$tytul = $locale['atw101'];
		$work_nazwa = ""; $work_wersja = ""; $work_opis = ""; $work_admin = ""; $work_procenty = ""; $work_data= showdate("%d.%m.%Y", time());
		$formaction = FUSION_SELF;
	}
	opentable($tytul);
	echo "<form name='inputform' method='post' action='".$formaction."'>
	<table align='center' cellspacing='0' cellpadding='0' class='center'>
	<tr>
		<td class='tbl' align='right' style='white-space:nowrap;'>".$locale['atw102']."</td>
		<td class='tbl'><input type='text' name='work_nazwa' value='".$work_nazwa."' class='textbox' style='width:220px;' /></td>
	</tr>\n<tr>\n
		<td class='tbl' align='right' style='white-space:nowrap;'>".$locale['atw110']."</td>
		<td class='tbl'><input type='text' name='work_wersja' value='".$work_wersja."' class='textbox' style='width:100px;' /></td>
	</tr>\n<tr>\n
		<td class='tbl' align='right' valign='top' style='white-space:nowrap;'>".$locale['atw108']."</td>
		<td class='tbl'><textarea name='work_opis' cols='60' rows='5' class='textbox'>".$work_opis."</textarea></td>
	</tr>\n<tr>\n
		<td class='tbl'></td><td class='tbl'>
		<input type='button' value='&lt;br /&gt;' class='button' style='width:40px;' onclick=\"insertText('work_opis', '&lt;br /&gt;');\" />\n";
		echo display_html("inputform", "work_opis")."
		</td>
	</tr>\n<tr>\n
		<td class='tbl' align='right' style='white-space:nowrap;'>".$locale['atw103']."</td>
		<td class='tbl'><input type='text' name='work_admin' value='".$work_admin."' class='textbox' style='width:100px;' /></td>
	</tr>\n<tr>\n
		<td class='tbl' align='right' style='white-space:nowrap;'>".$locale['atw104']."</td>
		<td class='tbl'><input type='text' name='work_procenty' value='".$work_procenty."' maxlength='3' class='textbox' style='width:100px;' />%</td>
	</tr>\n<tr>\n
		<td class='tbl' align='right' style='white-space:nowrap;'>".$locale['atw105']."</td>
		<td class='tbl'><input type='text' name='work_data' value='$work_data' class='textbox' style='width:100px;' readonly='readonly' /></td>
	</tr>\n<tr>\n
		<td class='tbl' align='center' colspan='2'><br />
		<input type='submit' name='save_cat' value='".$locale['atw106']."' class='button' />
		</td>
	</tr>
	</table>
	</form>\n";
	closetable();
	opentable($locale['atw201']);
	echo "<table align='center' width='100%' cellspacing='1' cellpadding='0' class='tbl-border center'>\n";
	$result = dbquery("SELECT * FROM ".DB_ATWORK." ORDER BY atwork_data DESC");
	if (dbrows($result) != 0) {
		echo "<tr>
		<td class='tbl2' align='center' width='1%'><strong>".$locale['atw202']."</strong></td>
		<td class='tbl2' width='45%'><strong>".$locale['atw203']."</strong></td>
		<td class='tbl2' align='center' width='15%'><strong>".$locale['atw204']."</strong></td>
		<td class='tbl2' align='center' width='23%'><strong>".$locale['atw205']."</strong></td>
		<td class='tbl2' align='center' width='15%'><strong>".$locale['atw206']."</strong></td>
		<td class='tbl2' align='center' width='5%'><strong>".$locale['atw207']."</strong></td>
		</tr>\n";
		$i = 0;
		while ($data = dbarray($result)) {
			$kolor_komorki = ($i % 2 == 0 ? "tbl1" : "tbl2");
			$nazwa = trimlink($data['atwork_nazwa'], 30);
			echo "<tr>
			<td align='center' class='".$kolor_komorki."'>".($i+1)."</td>
			<td class='".$kolor_komorki."'>";
			if ($data['atwork_opis'] != "" ) {
				echo "<a href='".FUSION_SELF."?step=edit&amp;work_id=".$data['atwork_id']."' title=\"header=[<img src='".INFUSIONS."eXtreme_atwork_panel/js/info.gif' style='vertical-align:middle;'>&nbsp;&nbsp;".$locale['atw209']."] body=[".$data['atwork_opis']."<br /><br /><i>".$locale['atw110']." ".$data['atwork_wersja']."</i>] fade=[on]\" class='side'>".$nazwa."</a>";
			} else {
				echo "<a href='".FUSION_SELF."?step=edit&amp;work_id=".$data['atwork_id']."' class='side'>".$nazwa."</a>";
			}
			echo "</td>
			<td align='center' class='".$kolor_komorki."' style='white-space:nowrap;'>".$data['atwork_admin']."</td>
			<td class='".$kolor_komorki."' style='white-space:nowrap;'>";
			if ($rodzaj_paska == 1 && $szer_diva != "") { echo "<div style='".$szer_diva."'>"; }
				if ($rodzaj_paska == 1) {
					echo "<span style='white-space:nowrap; float:left; margin-top:0.40em; width:100px; height:5px; border:1px solid ".$kolor_obramowania_paska_nr1.";'>
					<span style='float:left; background:url(".INFUSIONS."eXtreme_atwork_panel/img/pasek.gif) no-repeat left; width:".$data['atwork_procenty']."px; height:5px;'></span>
					</span>&nbsp;(".$data['atwork_procenty']."%)";
				} elseif ($rodzaj_paska == 2) {
					echo "<span style='vertical-align:middle;'><img src='".INFUSIONS."eXtreme_atwork_panel/pasek.php?p=".$data['atwork_procenty']."&amp;w=".$szerokosc."&amp;h=".$wysokosc."&amp;bg=".$kolor_tla."&amp;fg=".$kolor_paska_i_ramki."' style='vertical-align:middle;' alt='".$data['atwork_procenty']."%' title='".$data['atwork_procenty']."%' />&nbsp;(".$data['atwork_procenty']."%)</span>";
				} else {
					echo "<span class='progressBar' id='pasekjQ' style='white-space:nowrap;'>".$data['atwork_procenty']."</span>";
				}
			if ($rodzaj_paska == 1 && $szer_diva != "") { echo "</div>"; }
			echo "</td>
			<td align='center' class='".$kolor_komorki."'>".$data['atwork_data']."</td>
			<td align='center' class='".$kolor_komorki."' style='white-space:nowrap;'>
			<a href='".FUSION_SELF."?step=edit&amp;work_id=".$data['atwork_id']."'>".$locale['atw208_1']."</a> - <a href='".FUSION_SELF."?step=delete&amp;work_id=".$data['atwork_id']."'>".$locale['atw208']."</a>
			</td>
			</tr>\n";
			$i++;
		}
		
add_to_head("<script type='text/javascript'>
$(document).ready(function() {
	var paski = $('.progressBar');
	$('span.progressBar').each(function (i) {
		$(paski[i]).progressBar($(paski[i]).text(), {showText: true });
	});
});
</script>");
		
	} else {
		echo "<tr>\n<td align='center'>".$locale['atw008']."</td>\n</tr>\n";
	}
	echo "</table>\n";
	closetable();
}
echo "</td>\n";


require_once THEMES."templates/footer.php";
?>