<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: eXtreme_atwork_panel.php
| Author: eXtreme-fusion crew & zezol
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<script type='text/javascript' src='".INFUSIONS."eXtreme_atwork_panel/js/boxover.js'></script>");
add_to_head("<script type='text/javascript'>
var INFUSIONS = '".INFUSIONS."'; 
</script>");
add_to_head("<script type='text/javascript' src='".INFUSIONS."eXtreme_atwork_panel/js/jquery.progressbar.js'></script>");

include INFUSIONS."eXtreme_atwork_panel/infusion_db.php";

if (file_exists(INFUSIONS."eXtreme_atwork_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."eXtreme_atwork_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."eXtreme_atwork_panel/locale/Polish.php";
}
require_once INFUSIONS."eXtreme_atwork_panel/ustawienia.php";

$dane = dbarray(dbquery("SELECT panel_filename, panel_side FROM ".DB_PANELS." WHERE panel_filename='eXtreme_atwork_panel'"));

if ($dane['panel_side'] == 2 || $dane['panel_side'] == 3) {
	opentable($locale['atw201']);
	echo "<table align='center' width='100%' cellspacing='1' cellpadding='0' class='tbl'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."atwork ORDER BY atwork_data DESC");
	if (dbrows($result) != 0) {
		echo "<tr>
		<td class='tbl2' align='center' width='1%'><b>".$locale['atw202']."</b></td>
		<td class='tbl2' align='left' width='45%'><b>".$locale['atw203']."</b></td>
		<td class='tbl2' align='center' width='15%'><b>".$locale['atw204']."</b></td>
		<td class='tbl2' align='center' width='23%'><b>".$locale['atw205']."</b></td>
		<td class='tbl2' align='center' width='15%'><b>".$locale['atw206']."</b></td>
		</tr>\n";
		$i = 0;
		while ($data = dbarray($result)) {
			$nazwa = trimlink($data['atwork_nazwa'], 30);
			echo "<tr>
			<td align='center'>".($i+1)."</td>
			<td>";
			if ($data['atwork_opis'] != "") {
				echo "<a style='cursor:hand' title=\"header=[<img src='".INFUSIONS."eXtreme_atwork_panel/js/info.gif' style='vertical-align:middle;'>&nbsp;&nbsp;".$locale['atw209']."] body=[".$data['atwork_opis']."<br /><br /><i>".$locale['atw110']." ".$data['atwork_wersja']."</i>] fade=[on]\">$nazwa</a>";
			} else {
				echo $nazwa;
			}
			echo "</td>
			<td align='center'>".$data['atwork_admin']."</td>
			<td style='".$szer_diva."'>";
			if ($rodzaj_paska == 1 && $szer_diva != "") { echo "<div style='".$szer_diva."'>"; }
				if ($rodzaj_paska == 1) {
					echo "<span style='white-space:nowrap; float:left; margin-top:0.40em; width:100px; height:5px; border:1px solid ".$kolor_obramowania_paska_nr1.";'>
					<span style='float:left; background:url(".INFUSIONS."eXtreme_atwork_panel/img/pasek.gif) no-repeat left; width:".$data['atwork_procenty']."px; height:5px;'></span>
					</span>&nbsp;(".$data['atwork_procenty']."%)";
				} elseif ($rodzaj_paska == 2) {
					echo "<span style='vertical-align:middle;'><img src='".INFUSIONS."eXtreme_atwork_panel/pasek.php?p=".$data['atwork_procenty']."&amp;w=".$szerokosc."&amp;h=".$wysokosc."&amp;bg=".$kolor_tla."&amp;fg=".$kolor_paska_i_ramki."' style='vertical-align:middle;' alt='".$data['atwork_procenty']."%' title='".$data['atwork_procenty']."%' />&nbsp;(".$data['atwork_procenty']."%)</span>";
				} else {
					echo "<span class='progressBar' id='pasekjQ' style='white-space:nowrap;'>".$data['atwork_procenty']."</span>";
				}
			if ($rodzaj_paska == 1 && $szer_diva != "") { echo "</div>"; }
			echo "</td>
			<td align='center'>".$data['atwork_data']."</td>
			</tr>\n";
			$i++;
		}
		echo "</table></div>\n";
		
add_to_head("<script type='text/javascript'>
$(document).ready(function() {
	var paski = $('.progressBar');
	$('span.progressBar').each(function (i) {
		$(paski[i]).progressBar($(paski[i]).text(), {showText: true });
	});
});
</script>");
		
	} else {
		echo "<tr><td align='center'>".$locale['atw211']."</td></tr>
	</table>\n";
	}
	closetable();
} else {
	openside($locale['atw201']);
	$result = dbquery("SELECT * FROM ".DB_ATWORK." ORDER BY atwork_data DESC");
	if (dbrows($result) != 0) {
		$i = 0;
		while ($data = dbarray($result)) {
			$nazwa = trimlink($data['atwork_nazwa'], 25);
			$proc = $data['atwork_procenty'];
			echo "<b>".($i+1)."</b>. ";
			if ($data['atwork_opis'] != "") {
				echo "<a style='cursor:hand' title=\"header=[<img src='".INFUSIONS."eXtreme_atwork_panel/js/info.gif' style='vertical-align:middle;'>&nbsp;&nbsp;".$locale['atw209']."] body=[".$data['atwork_opis']."<br /><br /><i>".$locale['atw110']." ".$data['atwork_wersja']."</i>] fade=[on]\"><strong>".$nazwa."</strong></a><br />";
			} else {
				echo "<strong>".$nazwa."</strong><br />";
			}
			echo "<div style='padding-left:1.3em;'><span class='small'>".$locale['atw205'].": ".$data['atwork_procenty']."%</span><br />";
			if ($rodzaj_paska == 1) {
				echo "<span style='white-space:nowrap; float:left; margin-top:0.45em; width:100px; height:5px; border:1px solid ".$kolor_obramowania_paska_nr1.";'>
				<span style='float:left; background:url(".INFUSIONS."eXtreme_atwork_panel/img/pasek.gif) no-repeat left; width:".$data['atwork_procenty']."px; height:5px;'></span>
				</span>";
			} elseif ($rodzaj_paska == 2) {
				echo "<span style='vertical-align:middle;'><img src='".INFUSIONS."eXtreme_atwork_panel/pasek.php?p=".$data['atwork_procenty']."&amp;w=".$szerokosc."&amp;h=".$wysokosc."&amp;bg=".$kolor_tla."&amp;fg=".$kolor_paska_i_ramki."' style='vertical-align:middle;' alt='".$data['atwork_procenty']."%' title='".$data['atwork_procenty']."%' />&nbsp;(".$data['atwork_procenty']."%)</span>";
			} else {
				echo "<span class='progressBar' id='pasekjQ'>".$data['atwork_procenty']."</span>";
			}
			echo "<br /><span class='small'>".$locale['atw206'].": ".$data['atwork_data']."</span></div>";
			$ost = dbarray(dbquery("SELECT atwork_data FROM ".DB_ATWORK." ORDER BY atwork_data"));
			if ($ost['atwork_data'] == $data['atwork_data']) { echo ""; } else { echo "<hr />\n"; }
			$i++;
		}

add_to_head("<script type='text/javascript'>
$(document).ready(function() {
	var paski = $('.progressBar');
	$('span.progressBar').each(function (i) {
		$(paski[i]).progressBar($(paski[i]).text(), {showText: false });
	});
});
</script>");

	} else {
		echo "<span class='small'>".$locale['atw211']."</span>\n";
	}
	closeside();
}
?>